package cn.yw.log.smslog.model;

import cn.base.bean.BaseBean;
//[短信日志查询]

public class YwalarmsmslogBean extends BaseBean implements java.io.Serializable {
	private String smslogid;//[日志id]
	private String alarmeventid;//[告警事件id]
	private long alarmdevicetype;//[告警设备类型]
	private String alarmdeviceid;//[告警设备编号]
	private int channelnum;//[通道编号]
	private String alarmdevicename;//[告警设备名称]
	private int alarmtype;//[告警类型]
	private int alarmgrade;//[告警严重级别]
	private String receiveinstructiontime;//[接收指令时间]
	private String callednumber;//[被叫号码]
	private String smscontent;//[短信内容]
	private String requestnumber;//[请求序列号]
	private String statusreportnumber;//[状态报告序列号]
	private String isstatusreport;//[是否要求状态报告]
	private int submitstatus;//[提交状态]
	private int sendstatus;//[发送标识]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setSmslogid(String smslogid){
		this.smslogid = smslogid;
	}
	public String getSmslogid(){
		return smslogid;
	}
	public void setAlarmeventid(String alarmeventid){
		this.alarmeventid = alarmeventid;
	}
	public String getAlarmeventid(){
		return alarmeventid;
	}
	public void setAlarmdevicetype(long alarmdevicetype){
		this.alarmdevicetype = alarmdevicetype;
	}
	public long getAlarmdevicetype(){
		return alarmdevicetype;
	}
	public void setAlarmdeviceid(String alarmdeviceid){
		this.alarmdeviceid = alarmdeviceid;
	}
	public String getAlarmdeviceid(){
		return alarmdeviceid;
	}
	public void setChannelnum(int channelnum){
		this.channelnum = channelnum;
	}
	public int getChannelnum(){
		return channelnum;
	}
	public void setAlarmdevicename(String alarmdevicename){
		this.alarmdevicename = alarmdevicename;
	}
	public String getAlarmdevicename(){
		return alarmdevicename;
	}
	public void setAlarmtype(int alarmtype){
		this.alarmtype = alarmtype;
	}
	public int getAlarmtype(){
		return alarmtype;
	}
	public void setAlarmgrade(int alarmgrade){
		this.alarmgrade = alarmgrade;
	}
	public int getAlarmgrade(){
		return alarmgrade;
	}
	public void setReceiveinstructiontime(String receiveinstructiontime){
		this.receiveinstructiontime = receiveinstructiontime;
	}
	public String getReceiveinstructiontime(){
		return receiveinstructiontime;
	}
	public void setCallednumber(String callednumber){
		this.callednumber = callednumber;
	}
	public String getCallednumber(){
		return callednumber;
	}
	public void setSmscontent(String smscontent){
		this.smscontent = smscontent;
	}
	public String getSmscontent(){
		return smscontent;
	}
	public void setRequestnumber(String requestnumber){
		this.requestnumber = requestnumber;
	}
	public String getRequestnumber(){
		return requestnumber;
	}
	public void setStatusreportnumber(String statusreportnumber){
		this.statusreportnumber = statusreportnumber;
	}
	public String getStatusreportnumber(){
		return statusreportnumber;
	}
	public void setIsstatusreport(String isstatusreport){
		this.isstatusreport = isstatusreport;
	}
	public String getIsstatusreport(){
		return isstatusreport;
	}
	public void setSubmitstatus(int submitstatus){
		this.submitstatus = submitstatus;
	}
	public int getSubmitstatus(){
		return submitstatus;
	}
	public void setSendstatus(int sendstatus){
		this.sendstatus = sendstatus;
	}
	public int getSendstatus(){
		return sendstatus;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}